
From: Kylene Hall <kjhall@us.ibm.com>

Fixes tpm device attribute functions with the wrong names and types.

Signed-off-by: Kylene Hall <kjhall@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tpm/tpm.c |   15 ++++++++-------
 drivers/char/tpm/tpm.h |   13 ++++++++-----
 2 files changed, 16 insertions(+), 12 deletions(-)

diff -puN drivers/char/tpm/tpm.c~fix-tpm-driver-sysfs-owernship-changes-fix-2 drivers/char/tpm/tpm.c
--- 25/drivers/char/tpm/tpm.c~fix-tpm-driver-sysfs-owernship-changes-fix-2	Fri May 27 15:05:31 2005
+++ 25-akpm/drivers/char/tpm/tpm.c	Fri May 27 15:05:38 2005
@@ -208,7 +208,8 @@ static const u8 pcrread[] = {
 	0, 0, 0, 0		/* PCR index */
 };
 
-ssize_t show_pcrs(struct device *dev, struct device_attribute *attr, char *buf)
+ssize_t tpm_show_pcrs(struct device *dev, struct device_attribute *attr,
+		      char *buf)
 {
 	u8 data[READ_PCR_RESULT_SIZE];
 	ssize_t len;
@@ -252,7 +253,8 @@ static const u8 readpubek[] = {
 	0, 0, 0, 124,		/* TPM_ORD_ReadPubek */
 };
 
-ssize_t show_pubek(struct device *dev, struct device_attribute *attr, char *buf)
+ssize_t tpm_show_pubek(struct device *dev, struct device_attribute *attr,
+		       char *buf)
 {
 	u8 *data;
 	ssize_t len;
@@ -332,7 +334,8 @@ static const u8 cap_manufacturer[] = {
 	0, 0, 1, 3
 };
 
-ssize_t show_caps(struct device *dev, struct device_attribute *attr, char *buf)
+ssize_t tpm_show_caps(struct device *dev, struct device_attribute *attr,
+		      char *buf)
 {
 	u8 data[sizeof(cap_manufacturer)];
 	ssize_t len;
@@ -365,11 +368,10 @@ ssize_t show_caps(struct device *dev, st
 
 	return str - buf;
 }
-
 EXPORT_SYMBOL_GPL(tpm_show_caps);
 
-ssize_t tpm_store_cancel(struct device * dev, struct device_attribute *attr, const char *buf,
-			 size_t count)
+ssize_t tpm_store_cancel(struct device *dev, struct device_attribute *attr,
+			const char *buf, size_t count)
 {
 	struct tpm_chip *chip = dev_get_drvdata(dev);
 	if (chip == NULL)
@@ -378,7 +380,6 @@ ssize_t tpm_store_cancel(struct device *
 	chip->vendor->cancel(chip);
 	return count;
 }
-
 EXPORT_SYMBOL_GPL(tpm_store_cancel);
 
 
diff -puN drivers/char/tpm/tpm.h~fix-tpm-driver-sysfs-owernship-changes-fix-2 drivers/char/tpm/tpm.h
--- 25/drivers/char/tpm/tpm.h~fix-tpm-driver-sysfs-owernship-changes-fix-2	Fri May 27 15:05:31 2005
+++ 25-akpm/drivers/char/tpm/tpm.h	Fri May 27 15:05:38 2005
@@ -35,11 +35,14 @@ enum tpm_addr {
 	TPM_DATA = 0x4F
 };
 
-extern ssize_t tpm_show_pubek(struct device *, struct device_attribute *attr, char *);
-extern ssize_t tpm_show_pcrs(struct device *, struct device_attribute *attr, char *);
-extern ssize_t tpm_show_caps(struct device *, struct device_attribute *attr, char *);
-extern ssize_t tpm_store_cancel(struct device *, struct device_attribute *attr, const char *, size_t);
-
+extern ssize_t tpm_show_pubek(struct device *, struct device_attribute *attr,
+				char *);
+extern ssize_t tpm_show_pcrs(struct device *, struct device_attribute *attr,
+				char *);
+extern ssize_t tpm_show_caps(struct device *, struct device_attribute *attr,
+				char *);
+extern ssize_t tpm_store_cancel(struct device *, struct device_attribute *attr,
+				const char *, size_t);
 
 struct tpm_chip;
 
_
